import { useEffect } from "react";
import "./App.css";
import Layout from "./components/base/layout";
import Form from "./components/top-level/form";
import Tasks from "./components/top-level/tasks";
import { useAppContext } from "./appcontext/index";

function App() {
  const { task, addTask, updateremainder, getTask, deleteTask, updatetitle } =
    useAppContext();
  useEffect(() => {
    getTask();
  }, []);
  console.log("okpp", task);
  return (
    <div className="App">
      <Layout count={task?.filter((e) => !e.isCompleted).length}>
        {task?.length > 0 ? (
          <Tasks
            tasklist={task}
            onEdit={updatetitle}
            remainder={updateremainder}
            deleted={deleteTask}
          />
        ) : (
          <h3>No task</h3>
        )}
        <Form onSubmit={addTask} />
      </Layout>
    </div>
  );
}

export default App;
