import "./checkbox.css";

function Checkbox({ isCompleted, onChange, ...props }) {
  const handleChange = () => {
    isCompleted = !isCompleted;
    onChange(isCompleted ? "checked" : "unchecked");
  };
  return (
    <div className="checkbox-bg">
      <input
        type="checkbox"
        name="checkbox"
        onChange={handleChange}
        {...props}
      />
    </div>
  );
}

export default Checkbox;
